package com.wechat.model.requestDto;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

/**
 * 职位收藏请求类
 * @author tangwc
 *
 */
public class JobCollectionReq implements Serializable {

	private static final long serialVersionUID = 1L;
	//@NotNull(message="用户code不能为空|usercode can not be null")
	private String userCode;
	
	@NotNull(message="职位Id不能为空|Position Id cannot be empty")
	private Integer jobId;
	
	private String cvTitle;
	private String cvUrl;
	private Integer cvId;
	private String userHeadPortrait;
	private String userName;
	public String getUserCode() {
		return userCode;
	}
	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}
	public Integer getJobId() {
		return jobId;
	}
	public void setJobId(Integer jobId) {
		this.jobId = jobId;
	}
	public String getCvTitle() {
		return cvTitle;
	}
	public void setCvTitle(String cvTitle) {
		this.cvTitle = cvTitle;
	}
	public String getCvUrl() {
		return cvUrl;
	}
	public void setCvUrl(String cvUrl) {
		this.cvUrl = cvUrl;
	}
	public String getUserHeadPortrait() {
		return userHeadPortrait;
	}
	public void setUserHeadPortrait(String userHeadPortrait) {
		this.userHeadPortrait = userHeadPortrait;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public Integer getCvId() {
		return cvId;
	}
	public void setCvId(Integer cvId) {
		this.cvId = cvId;
	}
	
	
}
